> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Recording

> Get a call recording by call ID



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json get /v2/admin/call-recordings/{callId}
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/call-recordings/{callId}:
    get:
      tags:
        - Call Recordings
      summary: Get Recording
      description: Get a call recording by call ID
      parameters:
        - schema:
            type: string
            maxLength: 255
          in: path
          name: callId
          required: true
          description: Unique call identifier
      responses:
        '200':
          description: Call recording details
          content:
            application/json:
              schema:
                type: object
                properties:
                  mediaURL:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Presigned S3 URL for the recording MP3
                  time:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Call start timestamp
                  tenantId:
                    anyOf:
                      - type: number
                      - type: 'null'
                    description: Tenant ID
                  direction:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Call direction (inbound/outbound)
                  callerIdNum:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Caller ID number
                  callerIdName:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Caller ID name
                  duration:
                    anyOf:
                      - type: number
                      - type: 'null'
                    description: Call duration in seconds
                  dialedNum:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Dialed phone number
                  uniqueId:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Unique call identifier
                required:
                  - mediaURL
                  - time
                  - tenantId
                  - direction
                  - callerIdNum
                  - callerIdName
                  - duration
                  - dialedNum
                  - uniqueId
                additionalProperties: false
        '404':
          description: Error response
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                  message:
                    type: string
                  code:
                    type: number
                  validationErrors:
                    type: array
                    items:
                      type: string
                required:
                  - name
                  - message
                  - code
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````